Returns all logs of the webhook with the specified id.

GEThttps://api.awork.com/api/v1/webhooks/{webhookId}/logs
GET https://api.awork.com/api/v1/webhooks/{webhookId}/logs

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

webhookIdstringRequired
format: uuid

Query parameters

pageintegerOptional
Default: 1

Page number for pagination

pageSizeintegerOptional
Default: 10

Number of items per page

orderbystringOptional

The properties to order by

filterbystringOptional

The filter expression to filter by

Responses

200 OK

application/json

messagestring or nullOptional

The message which has been sent to the webhook receiver.

webhookIdstringOptional
format: uuid

The id of the webhook.

responseCodeintegerOptional
format: int32

The HTTP response code of the request.

createdOnstringOptional
format: date-time

The date the log was created.

reasonstring or nullOptional

The failure reason if the request failed.

isSuccessfulbooleanOptional

Whether the request was successful.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation